- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpCholeskyUfl Class Reference

Ufl class for Clp Cholesky factorization. More...

`#include <ClpCholeskyUfl.hpp>`

Inheritance diagram for ClpCholeskyUfl:

[legend]
Collaboration diagram for ClpCholeskyUfl:

[legend]
List of all members.

## Public Member Functions
Virtual methods that the derived classes provides
virtual int | order (ClpInterior *model)
| Orders rows and saves pointer to matrix.and model.
Constructors, destructor
| ClpCholeskyUfl (int denseThreshold=-1)
| Constructor which has dense columns activated.
virtual | ~ClpCholeskyUfl ()
| Destructor.
| ClpCholeskyUfl (const ClpCholeskyUfl &)
| Constructor which has dense columns activated.
ClpCholeskyUfl & | operator= (const ClpCholeskyUfl &)
| Constructor which has dense columns activated.
virtual ClpCholeskyBase * | clone () const
| Clone.

## Detailed Description

Ufl class for Clp Cholesky factorization.

If you wish to use AMD code from University of Florida see

http://www.cise.ufl.edu/research/sparse/amd

for terms of use

If you wish to use CHOLMOD code from University of Florida see

http://www.cise.ufl.edu/research/sparse/cholmod

for terms of use

Definition at line 35 of file ClpCholeskyUfl.hpp.

## Constructor & Destructor Documentation

ClpCholeskyUfl::ClpCholeskyUfl | ( | int | denseThreshold = `-1` | ) |

Constructor which has dense columns activated.

Default is off.

virtual ClpCholeskyUfl::~ClpCholeskyUfl | ( |  | ) | `[virtual]`

Destructor.

ClpCholeskyUfl::ClpCholeskyUfl | ( | const ClpCholeskyUfl & |  | ) |

Constructor which has dense columns activated.

Default is off.

## Member Function Documentation

virtual int ClpCholeskyUfl::order | ( | ClpInterior * | model | ) | `[virtual]`

Orders rows and saves pointer to matrix.and model.

Returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

ClpCholeskyUfl& ClpCholeskyUfl::operator= | ( | const ClpCholeskyUfl & |  | ) |

Constructor which has dense columns activated.

Default is off.

virtual ClpCholeskyBase* ClpCholeskyUfl::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpCholeskyBase.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/Clp/src/ClpCholeskyUfl.hpp